Orxonox: OIS::LinuxForceFeedback Class Reference

# OIS::LinuxForceFeedback Class Reference

`#include <src/ois/linux/LinuxForceFeedback.h>`

Inheritance diagram for OIS::LinuxForceFeedback:

List of all members.

## Public Member Functions

short int | getFFAxesNumber ()
| LinuxForceFeedback ()
void | modify (const Effect *effect)
void | remove (const Effect *effect)
void | setAutoCenterMode (bool)
void | setMasterGain (float)
void | upload (const Effect *effect)
| ~LinuxForceFeedback ()

## Constructor & Destructor Documentation

LinuxForceFeedback::LinuxForceFeedback | ( |  | ) |

LinuxForceFeedback::~LinuxForceFeedback | ( |  | ) |

## Member Function Documentation

short int OIS::LinuxForceFeedback::getFFAxesNumber | ( |  | ) | `[inline, virtual]`

FF is not yet implemented fully on Linux.. just retun 0 for now. todo, xxx

Implements OIS::ForceFeedback.

void LinuxForceFeedback::modify | ( | const Effect * | effect | ) | `[virtual]`

Remarks:
  Modifies an effect that is currently playing

Implements OIS::ForceFeedback.

void LinuxForceFeedback::remove | ( | const Effect * | effect | ) | `[virtual]`

Remarks:
  Remove the effect from the device

Implements OIS::ForceFeedback.

void LinuxForceFeedback::setAutoCenterMode | ( | bool |  | ) | `[virtual]`

Remarks:
  If using Force Feedback effects, this should be turned off before uploading any effects. Auto centering is the motor moving the joystick back to center. DirectInput only has an on/off setting, whereas linux has levels.. Though, we go with DI's on/off mode only

Parameters:

  | auto_on | true to turn auto centering on, false to turn off.

Implements OIS::ForceFeedback.

void LinuxForceFeedback::setMasterGain | ( | float |  | ) | `[virtual]`

Remarks:
  This is like setting the master volume of an audio device. Individual effects have gain levels; however, this affects all effects at once.

Parameters:

  | level | A value between 0.0 and 1.0 represent the percentage of gain. 1.0 being the highest possible force level (means no scaling).

Implements OIS::ForceFeedback.

void LinuxForceFeedback::upload | ( | const Effect * | effect | ) | `[virtual]`

Remarks:
  Creates and Plays the effect immediately. If the device is full of effects, it will fail to be uploaded. You will know this by an invalid Effect Handle

Implements OIS::ForceFeedback.

The documentation for this class was generated from the following files:

- src/ois/linux/LinuxForceFeedback.h
- src/ois/linux/LinuxForceFeedback.cpp